﻿import Vue from 'vue'
import VueI18n from 'vue-i18n'
Vue.use(VueI18n)

// 以下为语言包单独设置的场景，单独设置时语言包需单独引入
const messages = {
    'zh-CN': require('../local/zh-CN/zh-cn'),   // 中文簡體语言包
    'en': require('../local/en-US/en-us'),    // 英文语言包
    'zh-TW': require('../local/zh-TW/zh-tw')    // 中文繁體
}
let lang = (navigator.systemLanguage ? navigator.systemLanguage : navigator.language || navigator.userLanguage);
if (lang.indexOf('en') != -1) {
    lang = lang.substr(0, 2);
    if (lang == null) {
        lang = 'zh-CN'
    }
}
//this.$i18n.locale = lang;
localStorage.setItem("Language", lang);

export default new VueI18n({
    locale: lang, // set locale 默认显示英文
    messages: messages // set locale messages
})