import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        userName: '',
        phone: '',
        idToken: '',
        teamModelId: '',
        checkTicket: '',
        role: '',
        language: '',
        activityLang: '',
        router: ''
    },
    mutations: {
        setActivityLang(state, data) {
            state.activityLang = data.activityLang;
        },
        setRouter(state, data) {
            state.router = data.router;
        },
        setLoginInfo(state, data) {
            localStorage.setItem("userName", data.userName);
            localStorage.setItem("role", data.role);
            localStorage.setItem("phone", data.phone);
            localStorage.setItem("idToken", data.idToken);
            localStorage.setItem("teamModelId", data.teamModelId);
            localStorage.setItem("checkTicket", data.checkTicket);
        },
        getLoginInfo(state) {
            state.userName = localStorage.getItem('userName');
            state.role = localStorage.getItem('role');
            state.phone = localStorage.getItem('phone');
            state.idToken = localStorage.getItem('idToken');
            state.teamModelId = localStorage.getItem('teamModelId');
            state.checkTicket = localStorage.getItem('checkTicket');

        },
        removeLoginInfo(state, data) {
            window.localStorage.removeItem("userName");
            window.localStorage.removeItem("phone");
            window.localStorage.removeItem("role");
            window.localStorage.removeItem("idToken");
            window.localStorage.removeItem("teamModelId");
            window.localStorage.removeItem("checkTicket");
        },
    },
    actions: {

    }
})
